import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;


public class DrawingJPanel extends JPanel {
	
	List<Curve> curves = new ArrayList<Curve>();
	
	public void addCurve(Curve c){
		curves.add(c);
	}
	
	public void clearCurves(){
		curves.clear();
	}
	
	@Override
	public void paintComponent(Graphics g){
		super.paintComponent(g);
		for(Curve c : curves){
			drawCurve(c, g);
		}	
	}

	private void drawCurve(Curve c, Graphics g) {
		List<Point> points = c.getPointsList();
		for(int i=0; i<points.size()-1; i++){
			g.drawLine(points.get(i).getX(), points.get(i).getY(), 
					points.get(i+1).getX(), points.get(i+1).getY());
		}
	}
}
